import request from '@/utils/request'

// 获取抖音挑战赛活动状态
export function fetchDouyinActivityStatus(params) {
  return request({
    url: '/auth/get/activity/time',
    method: 'get',
    params
  })
}

// 获取抖音挑战赛活动状态
export function updateDouyinActivityStatus(data) {
  return request({
    url: '/auth/save/activity/time',
    method: 'post',
    data
  })
}

// 获取抖音挑战赛视频列表
export function fetchDouyinVideoList(params) {
  return request({
    url: '/auth/get/published/video/list',
    method: 'get',
    params
  })
}

// 获取抖音挑战赛视频列表
export function onSendDouyinCommand(data) {
  return request({
    url: '/auth/sms/send/douyin',
    method: 'post',
    data
  })
}

// 获取已上传视频机构列表
export function fetchClubList(params) {
  return request({
    url: '/auth/get/auth/party/list',
    method: 'get',
    params
  })
}

// 校access_token 是否过期
export function checkDouyinAccessToken() {
  return request({
    url: '/auth/check/accesstoken',
    method: 'get'
  })
}

// 获取accessToken
export function getDouyinAccessToken(params) {
  return request({
    url: '/auth/get/douying/acesstoken',
    method: 'get',
    params
  })
}

// 获取抖音视频发布分享码 h5
export function getDouyinShareH5(data) {
  return request({
    url: '/auth/upload/video/to/douyin',
    method: 'post',
    data
  })
}

// 删除抖音视频
export function removeVideo(params) {
  return request({
    url: 'auth/del/video',
    method: 'get',
    params
  })
}

// 下载抖音视频
export function downloadVideo(params) {
  return request({
    url: '/auth/downLoad/chose/zip',
    method: 'get',
    params
  })
}

// 获取抖音视频详情
export function getShareVideo(params) {
  return request({
    url: '/auth/get/info/by/id',
    method: 'get',
    params
  })
}

// 解绑已关联抖音
export function clearDouyinTokenRedis(params) {
  return request({
    url: '/auth/clean/douyin/redis',
    method: 'get',
    params
  })
}

// 获取报名参赛机构列表
export function fetchSignInClubList(params) {
  return request({
    url: '/auth/get/auth/info',
    method: 'get',
    params
  })
}

// 移除参赛机构
export function deleteClub(params) {
  return request({
    url: '/auth/del/auth/info',
    method: 'get',
    params
  })
}

// 移除机构上传的视频
export function deleteClubVideo(params) {
  return request({
    url: '/auth/del/video/info',
    method: 'get',
    params
  })
}

// 获取机构已上传视频列表
export function fetchClubVideoList(params) {
  return request({
    url: '/wx/auth/get/video/username',
    method: 'get',
    params
  })
}
