/* Layout */
import Layout from '@/layout'

// 资料管理页面路由
const docsRoutes = [
  {
    path: '/docs',
    component: Layout,
    alwaysShow: true,
    redirect: '/docs/list',
    name: 'Docs',
    meta: { title: '资料库', noCache: true },
    children: [
      {
        path: 'list',
        component: () => import('@/views/normal/docs'),
        name: 'DocsList',
        redirect: '/docs/0/list',
        meta: { title: '产品资料', noCache: true }
      },
      {
        path: ':fileId/list',
        component: () => import('@/views/normal/docs'),
        name: 'DocsAllList',
        meta: { title: '产品资料', noCache: true, activeMenu: '/docs/list' }
      },
      {
        path: 'article-edit',
        component: () => import('@/views/normal/docs/article-edit'),
        name: 'DocsArticleEdit',
        meta: { title: '文章编辑', noCache: true, activeMenu: '/docs/list' }
      },
      {
        path: 'detail',
        component: () => import('@/views/normal/docs/detail'),
        name: 'DocsDetail',
        meta: { title: '资料详情', noCache: true, activeMenu: '/docs/list' }
      }
    ]
  }
]

export default docsRoutes
