/* Layout */
import Layout from '@/layout'

const settingRoutes = [
  {
    path: '/normal/settings',
    component: Layout,
    redirect: '/normal/settings/auth-card',
    name: 'NormalSettings',
    meta: { title: '系统设置', icon: 'el-icon-s-tools', noCache: true },
    children: [
      {
        path: 'roles',
        name: 'NormalSettingsRoles',
        meta: { title: '角色管理', noCache: false },
        component: () => import('@/views/normal/settings/roles')
      },
      {
        path: 'roles/add',
        name: 'NormalSettingsRolesAdd',
        hidden: true,
        meta: { title: '添加角色', noCache: true, activeMenu: '/normal/settings/roles' },
        component: () => import('@/views/normal/settings/roles/edit')
      },
      {
        path: 'roles/edit',
        name: 'NormalSettingsRolesEdit',
        hidden: true,
        meta: { title: '修改角色', noCache: true, activeMenu: '/normal/settings/roles' },
        component: () => import('@/views/normal/settings/roles/edit')
      },
      {
        path: 'accounts',
        name: 'NormalSettingsAccounts',
        meta: { title: '用户管理', noCache: false },
        component: () => import('@/views/normal/settings/accounts')
      },
      {
        path: 'accounts/add',
        name: 'NormalSettingsAccountsAdd',
        hidden: true,
        meta: { title: '添加用户', noCache: true, activeMenu: '/normal/settings/accounts' },
        component: () => import('@/views/normal/settings/accounts/edit')
      },
      {
        path: 'accounts/edit',
        name: 'NormalSettingsAccountsEdit',
        hidden: true,
        meta: { title: '修改用户', noCache: true, activeMenu: '/normal/settings/accounts' },
        component: () => import('@/views/normal/settings/accounts/edit')
      },
      {
        path: 'auth-card',
        name: 'NormalSettingsAuthCard',
        hidden: true,
        meta: { title: '授权牌模板', noCache: false },
        component: () => import('@/views/normal/settings/auth-card')
      }
    ]
  }
]

export default settingRoutes
